Bug 676791 - Review Request: goocanvas2 - goocanvas goodness for Gtk3
Summary: Review Request: goocanvas2 - goocanvas goodness for Gtk3
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 676853
TreeView+ depends on / blocked
 
Reported: 2011-02-11 09:20 UTC by Haïkel Guémar
Modified: 2011-05-08 14:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-08 14:06:00 UTC
pingou: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Haïkel Guémar 2011-02-11 09:20:17 UTC
Spec URL: http://hguemar.fedorapeople.org/packages/goocanvas2.spec
SRPM URL: http://hguemar.fedorapeople.org/packages/goocanvas2-1.90.2-1.fc15.src.rpm
Description: goocanvas2 is a cairo-based canvas for Gtk3

Comment 1 Pierre-YvesChibon 2011-02-11 14:05:15 UTC
[~OK] rpmlint must be run on every package.
rpmlint Downloads/goocanvas2-*
goocanvas2.src: W: spelling-error Summary(en_US) cairo -> Cairo, cairn, caird
goocanvas2.src: W: spelling-error %description -l en_US cairo -> Cairo, cairn, caird
goocanvas2.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 15)
goocanvas2.x86_64: W: spelling-error Summary(en_US) cairo -> Cairo, cairn, caird
goocanvas2.x86_64: W: spelling-error %description -l en_US cairo -> Cairo, cairn, caird
4 packages and 0 specfiles checked; 0 errors, 5 warnings.

[OK] The package must be named according to the Package Naming Guidelines.

[OK] The spec file name must match the base package %{name}, in the format
      %{name}.spec unless your package has an exemption.

[OK] The package must meet the Packaging Guidelines.

[OK] The package must be licensed with a Fedora approved license and meet the
     Licensing Guidelines.

[OK] The License field in the package spec file must match the actual license.
   License is LGPLv2

[OK] If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s) for
     the package must be included in %doc.

[OK] The spec file must be written in American English.

[OK] The spec file for the package MUST be legible.

[OK] The sources used to build the package must match the upstream source, as
      provided in the spec URL.
   (sha1sum)
   sources from the src.rpm: 8f32040accb3b5a96de98c34151750271d30b97c  rpmbuild/SOURCES/goocanvas-1.90.2.tar.bz2
   sources from upstream:    8f32040accb3b5a96de98c34151750271d30b97c  goocanvas-1.90.2.tar.bz2

[OK] The package MUST successfully compile and build into binary rpms on at
     least one primary architecture.
    Built on rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=2832696

[N/A] If the package does not successfully compile, build or work on an
      architecture, then those architectures should be listed in the spec in
      ExcludeArch.

[OK] All build dependencies must be listed in BuildRequires, except for any
     that are listed in the exceptions section of the Packaging Guidelines ;
     inclusion of those as BuildRequires is optional.

[OK] The spec file MUST handle locales properly. This is done by using the
      %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[OK] Every binary RPM package (or subpackage) which stores shared library
      files(not just symlinks) in any of the dynamic linker's default paths,
      must call ldconfig in %post and %postun.

[OK] Packages must NOT bundle copies of system libraries.

[N/A] If the package is designed to be relocatable, the packager must state
      this fact in the request for review, along with the rationalization for
      relocation of that specific package. Without this, use of Prefix: /usr is
      considered a blocker.

[OK] A package must own all directories that it creates. If it does not create
     a directory that it uses, then it should require a package which does
     create that directory.

[OK] A Fedora package must not list a file more than once in the spec file's
      %files listings. 

[OK] Permissions on files must be set properly. Executables should be set with
     executable permissions, for example. Every %files section must include a
     %defattr(...) line.

[OK] Each package must consistently use macros.

[OK] The package must contain code, or permissable content.

[N/A] Large documentation files must go in a -doc subpackage.
    The documentation is not big enough

[~OK] If a package includes something as %doc, it must not affect the runtime
      of the application. To summarize: If it is in %doc, the program must run
      properly if it is not present.
   I think it would be worth to include the AUTHORS NEWS and TODO as %doc

[OK] Header files must be in a -devel package.

[N/A] Static libraries must be in a -static package.

[OK] If a package contains library files with a suffix (e.g. libfoo.so.1.1),
      then library files that end in .so (without suffix) must go in a -devel
      package.

[OK] In the vast majority of cases, devel packages must require the base
      package using a fully versioned dependency: Requires: %{name} =
      %{version}-%{release}.

[OK] Packages must NOT contain any .la libtool archives, these must be removed
      in the spec if they are built.

[N/A] Packages containing GUI applications must include a %{name}.desktop file,
      and that file must be properly installed with desktop-file-install in the
      %install section.

[OK] Packages must not own files or directories already owned by other
      packages.
     To test the coexistance of goocanvas and goocanvas2 I have modified the spec to BR on goocanvas and build.
     scratch build for rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=2832825
     The build.log looks clean. 
     I used rpmls on goocanvas2 and rpm -ql on goocanvas. I do not see potential file conflict

[OK] All filenames in rpm packages must be valid UTF-8.


I trust you can fix the %doc and the tab issue detected by rpmlint before importing goocanvas2 into the repository.

goocanvas2 is therefore APPROVED

Comment 2 Haïkel Guémar 2011-02-11 14:23:39 UTC
the mixed space and tabs thing is fixed (damn emacs configuration) is fixed, the same for documentation. Thank you !


New Package SCM Request
=======================
Package Name: goocanvas2
Short Description: 
Owners: hguemar
Branches: f15
InitialCC: hguemar@fedoraproject.org

Comment 3 Jason Tibbitts 2011-02-11 16:02:48 UTC
You have failed to provide anything for the "short description" field and you
have used an email address instead of a FAS ID for the initialcc field.  Please
submit a corrected request and re-raise the fedora-cvs flag.

Comment 4 Haïkel Guémar 2011-02-11 17:24:04 UTC
Sorry, for the InitialCC, i was mislead by the field name

New Package SCM Request
=======================
Package Name: goocanvas2
Short Description: canvas widget for Gtk+3
Owners: hguemar
Branches: f15
InitialCC: hguemar

Comment 5 Jason Tibbitts 2011-02-15 19:29:15 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-02-16 10:16:38 UTC
goocanvas2-1.90.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/goocanvas2-1.90.2-1.fc15

Comment 7 Fedora Update System 2011-02-16 14:20:58 UTC
goocanvas2-1.90.2-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update goocanvas2'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/goocanvas2-1.90.2-1.fc15

Comment 8 Haïkel Guémar 2011-05-08 14:06:00 UTC
already imported into fedora packages collection (F15+)


Note You need to log in before you can comment on or make changes to this bug.